  <?php
  session_start();
  ?>
  <script>

    $(function () {
//ready
$('.select2').select2();
$("#monto").maskMoney({allowNegative: true, thousands:'.', decimal:',', affixesStay: false});

const Toast = Swal.mixin({
  toast: true,
  position: 'top-end',
  showConfirmButton: false,
  timer: 3000
});
$(document).ready(function(e) {
  $('#filtercam').hide();
  $('#list_bank_transactions_filter').append('<button class="btn btn-primary" id="addfilter"><i class="fas fa-filter"></i></button>');
});
var wp_filter = $("#filter").DataTable({
 searching: false,
 paging: false,
 ordering:  false,
 responsive: {
  details: {
    type: 'column'
  }
},
columnDefs: [ {
  className: 'control',
  orderable: false,
  targets:   0
} ],
autoWidth: true,
bProcessing: false,
bServerSide: false,
bInfo: false,
});
var wp_table = $("#list_bank_transactions").DataTable({
  responsive: {
    details: {
      type: 'column'
    }
  },
  columnDefs: [ {
    className: 'control',
    orderable: false,
    targets:   0
  } ],
  order: [ 1, 'asc' ],
  autoWidth: true,
  bProcessing: false,
  bServerSide: false,
  bInfo: false,
  columns: [
  { data: 'id' , render: function(data, type, row){
    return cel(data, row.id);
  }},
  { data: 'fecha',className: "tdcentrado"},
  { data: 'banco',className: "tdcentrado"},
  { data: 'titular',className: "tdcentrado"},
  { data: 'num_cuenta' ,className: "tdcentrado"},
  { data: 'tipo_t' ,className: "tdcentrado"},
  { data: 'transaccion' ,className: "tdcentrado"},
  { data: 'numero_o' ,className: "tdcentrado"},
  { data: 'monto' ,className: "tdcentrado"},
  { data: 'motivo' ,className: "tdcentrado"},
  { data: 'id', render: function(data, type, row){
    return actions(data,row.image,row.license);
  },className: "tdcentrado"},
  ],
});
//Funcion para consultar datos de usarios y llenar tabla//
function dataTable_init(fecha) {
  data = {'option':'<?php echo $decryp->encryptroute('view/bank_transactions/query_bank_transactions')?>','fecha':fecha};
  $.post('<?php echo $url_admin;?>core/process.php', data)
  .done(function(resp){
   wp_table = $("#list_bank_transactions").DataTable();
   wp_table.clear();
   $.each(resp.datos, function (k, v) {
    wp_table.row.add(v);
  });
   wp_table.draw();
   wp_table.columns.adjust().responsive.recalc();
 }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
});
}
//Funcion status//
function status(wpid, wpactive) {
  var status='<span class="badge badge-'+wpactive+'">'+wpid+'</span>'; 
  actions_cell = status;
  return actions_cell;
}

//Funcion para botones de accion//
function actions(wpid,img,pdf) {
  actions_cell = '<button class="btn btn-danger delete" data-data1="' + wpid + '" ><i class="fa fa fa-trash"></i></button>';
  return actions_cell;
}
//Campo vacio para responsive//
function cel(wpid, wpactive) {
  actions_cell = '';
  return actions_cell;
}

//Funcion para buscar datos por columnas//
function filterColumn (i) {
 wp_table
 .columns( i )
 .search($('#col'+i+'_filter').val(), true, false)
 .draw();
}
$('input.column_filter').on( 'keyup', function () {
  var data=$(this).data('column');
  filterColumn($(this).data('column'));
} );

$('#col1_filter').on( 'change', function () {
  //filterColumn($(this).data('column'));
  var fecha = $(this).val();
  dataTable_init(fecha);
} );
//Funcion abrir seccion filtros //
$(document).on('click', '#addfilter', function(e){
  $('#filtercam').show();
  $("#addfilter").remove();
  $('#list_bank_transactions_filter').append(' <button class="btn btn-danger" id="closefilter"><i class="fas fa-window-close"></i></button>');
});
//Funcion cerrar seccion filtros//
$(document).on('click', '#closefilter', function(e){
  $('#filtercam').hide();
  $("#closefilter").remove();
  $('#list_bank_transactions_filter').append(' <button class="btn btn-primary" id="addfilter"><i class="fas fa-filter"></i></button>');
});


dataTable_init(null);

function readURL(input) {
  if (input.files && input.files[0]) {
    var reader = new FileReader();
    reader.onload = function(e) {
      // Asignamos el atributo src a la tag de imagen
      $('#imagenmuestra').attr('src', e.target.result);
    }
    reader.readAsDataURL(input.files[0]);
  }
}
// El listener va asignado al input
$(document).on('change', '#comprobante', function(e){
  readURL(this);
});
//Eliminar item a plan//
var cuentas_bancarias_f= function (){
  data = {'option':'<?php echo $decryp->encryptroute('view/system_payments/query_bank_accounts')?>'};
  $.post('../core/process.php', data)
  .done(function(resp){
    $('#cuentas_bancarias').empty().append(new Option('Seleccione',''));
    $.each(resp.datos, function (k, v) {
     var nombre=v.banco+'-'+v.num_cuenta;
     $('#cuentas_bancarias').append('<option id="cuentas_bancarias_'+v.id+'" data-titular="'+v.titular+'" data-cuenta="'+v.num_cuenta+'" data-saldo="'+v.saldo+'" value="'+v.id+'">'+nombre+'</option>');
   });
  }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
});
};
cuentas_bancarias_f();

//Detalles de propiedad//
$(document).on('change', '#cuentas_bancarias', function(e){
  var id = $(this).val();
  if (typeof id == 'undefined' || id === null || id === '') {  
    $('#detalles_cuenta').hide();
    $('#titular_cuenta').html('');
    $('#numero_cuenta').html('');
    $('#saldo_cuenta').html('');

  } else {
    var titular = $('#cuentas_bancarias_'+id).data('titular');
    var cuenta = $('#cuentas_bancarias_'+id).data('cuenta');
    var saldo = $('#cuentas_bancarias_'+id).data('saldo');

    $('#detalles_cuenta').show();
    $('#titular_cuenta').html('<span style="color: red">Titular: </span>'+titular);
    $('#numero_cuenta').html('<span style="color: red">Numero de Cuenta: </span> '+cuenta);
    $('#saldo_cuenta').html('<span style="color: red">Saldo: </span> '+saldo);

  }
});


//Abrir modal de propiedades para registrar//
$(document).on('click', '#add_modal', function(e){
  data = {'option':'<?php echo $decryp->encryptroute('add/N')?>'};
  $.post('../core/process.php', data)
  .done(function(resp){
    $('#addcat').modal('show'); 
    $('#addcat form').trigger('reset'); 
    $('#title_modal').html('Agregar Transacción <?php echo$_SESSION['lang']['REQUERIDOS']?> ');
    $('#edit').hide();
    $('#save').show();
    $( "#status" ).prop( "checked", true );
    $('#sts').hide();
    $('#cuentas_bancarias').val('');
    $('#cuentas_bancarias').select2().trigger('change');
    $('#imagenmuestra').attr('src', '');
    $('#detalles_cuenta').hide();
    $('#titular_cuenta').html('');
    $('#numero_cuenta').html('');
  }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   $('#addcat').modal('hide'); 
   toastr.error(resp.msg);
 }
});
});


//Funcion para registrar propiedades//
$(document).on('click', '#save', function(e){
  submit('#save');
  var cuentas_bancarias =$('#cuentas_bancarias').val();
  var transaccion = $("#transaccion").val();
  var hora = $("#hora").val();
  var comprobante = $("#comprobante")[0].files[0];
  var n_operacion =$('#n_operacion').val();
  var monto =$('#monto').val();
  var tipo =$('#tipo').val();
  var motivo =$('#motivo').val();

  if (typeof cuentas_bancarias == 'undefined' || cuentas_bancarias === null || cuentas_bancarias === '' || typeof transaccion == 'undefined' || transaccion === null || transaccion === '' || typeof hora == 'undefined' || hora === null || hora === '' || typeof n_operacion == 'undefined' || n_operacion === null || n_operacion === '' || typeof monto == 'undefined' || monto === null || monto === '' || typeof tipo == 'undefined' || tipo === null || tipo === '' || typeof motivo == 'undefined' || motivo === null || motivo === '') {  
   toastr.error('<?php echo $_SESSION['lang']['REQUERIDOS1']?>');
   finish('#save');
 }else {
  var nuevo = new FormData();
  nuevo.append('option','<?php echo $decryp->encryptroute('add/bank_transactions/register_bank_transaction')?>');
  nuevo.append('cuentas_bancarias',cuentas_bancarias);
  nuevo.append('transaccion',transaccion);
  nuevo.append('hora',hora);
  nuevo.append('n_operacion',n_operacion);
  nuevo.append('monto',monto);
  nuevo.append('comprobante',comprobante);
  nuevo.append('tipo',tipo);
  nuevo.append('motivo',motivo);
  $.ajax({
    url: "<?php echo $url_admin;?>core/process.php",
    dataType: 'json',
    type: "post",
    data: nuevo,
    cache: false,
    contentType: false,
    processData: false
  })
  .done(function(resp){
   $('#addcat').modal('hide'); 
   toastr.success(resp.msg);
   cuentas_bancarias_f();
   dataTable_init(null);
 }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
}).always( function() {
  finish('#save');
});
}
});

//Detalles de propiedad//
$(document).on('click', '.view_logo', function(e){
  var foto = $(this).data('data1');
  $('#imagenlogo').attr('src', '');
  $('#logo_view').modal('show'); 
  $('#imagenlogo').attr('src', '<?php echo $url_admin;?>dist/bank_transactions_img/'+foto+ '?' + Math.random());
});
//Funcion abrir modal para eliminar Producto// 
$(document).on('click', '.delete', function(e){
  var data1 = $(this).data('data1');
  $( '#delete_cat' ).data( 'data1', data1);
  $('#modal_eliminar').modal('show'); 
});
//Funcion eliminar Producto// 
$(document).on('click', '#delete_cat', function(e){
  submit('#delete_cat');
  var data1 = $(this).data('data1');
  if (typeof data1 == 'undefined' || data1 === null || data1 === '') {  
   toastr.error('<?php echo $_SESSION['lang']['REQUERIDOS1']?>');
   finish('#delete_cat');
   $('#modal_eliminar').modal('hide'); 
 } else {
  data = {'option':'<?php echo $decryp->encryptroute('delete/bank_transactions/delete_bank_transaction')?>','id':data1};
  $.post('<?php echo $url_admin;?>core/process.php', data)
  .done(function(resp){
   toastr.success(resp.msg);
   cuentas_bancarias_f();

 }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg); 
 }
}).always( function() {
  $('#modal_eliminar').modal('hide');
  finish('#delete_cat');
  dataTable_init(null);
});
}
});


//END//
});
</script>